#! /bin/sh
#----------------------------------------------------------------------------
# libpq-4-dev - Preinstallation
#
# Copyright (c) 2006 Marc Oliver Ulfig   <eisfair@shadowhost.de>
#
# Creation:     2006/01/09 / 22:00:00   MOU
# Last Update:  2006/10/03 / 19:43:24   MOU
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------


#----------------------------------------------------------------------------
# Include EisFair Lib if there and show a message
#----------------------------------------------------------------------------
if [ -f /var/install/include/eislib ] ; then
    . /var/install/include/eislib
    #------------------------------------------------------------------------
    # New Script Message
    #------------------------------------------------------------------------
    mecho -info "  preinstalling libpq-4-dev..."
else
    #------------------------------------------------------------------------
    # Old Script Message
    #------------------------------------------------------------------------
    echo "  preinstalling libpq-4-dev..."
fi


#----------------------------------------------------------------------------
# Delete OLD scripts
#----------------------------------------------------------------------------
if [ -f /var/install/packages/libpq-4-devel ] ; then
    if [ -f /var/install/deinstall/libpq-4-devel ] ; then
        sh /var/install/deinstall/libpq-4-devel
    fi

    if [ -f /var/install/packages/libpq-4-devel ] ; then
        rm -f /var/install/packages/libpq-4-devel
    fi
fi

if [ -f /var/install/packages/libpq-4-dev ] ; then
    if [ -f /var/install/deinstall/libpq-4-dev ] ; then
        sh /var/install/deinstall/libpq-4-dev
    fi
fi


#----------------------------------------------------------------------------
# remove old lib from previous PostgreSQL-devel-Packages
#----------------------------------------------------------------------------
  rm -f /usr/local/pqsql/lib/libpq.a*
  rm -rf /usr/local/pqsql/include/libpq
  rm -f /usr/local/pqsql/include/libpq-fe.h
  rm -f /usr/local/pqsql/include/postgres_ext.h


#----------------------------------------------------------------------------
# Ende von: libpq-4-dev - Preinstallation
#----------------------------------------------------------------------------
exit 0

